# encoding: utf-8
# license: gpl3p 

### BEGIN LICENSE NOTICE
# This file is part of the interconnect asset ontology framework (IO)
# Copyright (C) 2010 - 2013
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE NOTICE

### BEGIN AUTHOR LIST
#
### END AUTHOR LIST
module Configuration
  VISA_SERVER_CFG = {
    :"auth" => ["demonstrator"],
    :"auth.demonstrator.enabled" => true,
    :"auth.demonstrator.username" => "sit",
    :"auth.demonstrator.password" => "22h0p3n2tack2it",

    :"target.source.visa_server.enabled" => true,
    :"target.source.visa_server.name" => "DEMONSTRATOR",
    :"target.source.visa_server.host_names" => ["source"],
    :"target.source.visa_server.host_addresses_v4" => ["FIXME"],
    :"target.source.visa_server.host_addresses_v6" => [nil],
    :"target.source.visa_server.types" => ['ovs'],
    :"target.source.visa_server.auth" => [:demonstrator],

    # true disables ALL commands that may change the internal topology datae
    :"visa.paranoia_mode" => false,
    # true disables ALL commands that may result in data loss, such as deleting topology or replicating a topology
    :"visa.safe_mode" => true,
    # true changes long running operations - collect, replicate, and cleanup - to work in a faster fake mode
    :"visa.demonstrator_mode" => true,

    # Enter address of the source environment
    :"visa.source.server" => "FIXME",
    # the system user needs passwordless sudo access for nova, nova-manage and all ovs commands
    :"visa.source.system_user" => "visa",
    :"visa.source.system_password" => "visa2013",
    :"visa.source.os_tenant" => "admin",
    :"visa.source.os_user" => "admin",
    :"visa.source.os_password" => "hastexo",
    :"visa.source.os_url" => "http://localhost:5000/v2.0/",
    :"visa.source.os_service_endpoint" => "http://localhost:35357/v2.0",
    :"visa.source.os_service_token" => "hastexo",
    # Enter address of the server running IO
    :"visa.source.reverse_connection_host" => "10.10.253.34",
    :"visa.source.reverse_connection_user" => "visa",

    # Enter address of the destination environment
    :"visa.destination.server" => "FIXME",
    # the system user needs passwordless sudo access for nova, nova-manage and all ovs commands
    :"visa.destination.system_user" => "visa",
    :"visa.destination.system_password" => "visa2013",
    :"visa.destination.os_tenant" => "admin",
    :"visa.destination.os_user" => "admin",
    :"visa.destination.os_password" => "hastexo",
    :"visa.destination.os_url" => "http://localhost:5000/v2.0/",
    :"visa.destination.os_service_endpoint" => "http://localhost:35357/v2.0",
    :"visa.destination.os_service_token" => "hastexo",

    :"ontology.namespace" => ['rdf','rdfs','owl','list','dc','xsd','no'],
    :"ontology.default_namespace" => 'no',
    :"ontology.namespace.rdf" => "http://www.w3.org/1999/02/22-rdf-syntax-ns#",
    :"ontology.namespace.rdfs" => "http://www.w3.org/2000/01/rdf-schema#",
    :"ontology.namespace.owl" => "http://www.w3.org/2002/07/owl#",
    :"ontology.namespace.list" => "http://jena.hpl.hp.com/ARQ/list#",
    :"ontology.namespace.dc" => "http://purl.org/dc/elements/1.1/",
    :"ontology.namespace.xsd" => "http://www.w3.org/2001/XMLSchema#",
    :"ontology.namespace.no" => "http://dev.tzi.org/io/network.owl#",
  }
end
