#!/bin/bash

set -eu

%CREDENTIALS%

demo="%DEMONSTRATOR%"

machines=$(nova list | grep -vE "+--*+--*+--*+--*+" | tail -n+2 | cut --fields=2 --delimiter='|' |  sed -e 's/[ \t]*//g' | xargs echo);
for uuid in ${machines}; do
  nova delete "${uuid}"
done

if [ "${demo}" != "true" ]; then
  images=$(nova image-list | grep -vE "+--*+--*+--*+--*+" | tail -n+2 | cut --fields=2 --delimiter='|' |  sed -e 's/[ \t]*//g' | xargs echo);
  for uuid in ${images}; do
    nova image-delete "${uuid}"
  done
fi

networks=$(sudo nova-manage network list 2> /dev/null | tail -n+2 | sed -e 's/.* //' -e 's/[ \t]*//g' | xargs echo);
for uuid in ${networks}; do
  sudo nova-manage network delete --uuid="${uuid}" 2> /dev/null
done
